import { RpcClient, Transport } from './types';
export declare class Client implements RpcClient {
    protected transport: Transport;
    protected id: number;
    /**
     * Creates an instance of Json Rpc 2.0 Client.
     * @param {Transport} transport
     * @memberof Client
     */
    constructor(transport: Transport);
    /**
     * invoke remote method
     *
     * @param {string} method
     * @param {...any[]} params
     * @returns
     * @memberof Client
     */
    invoke(method: string, ...params: any[]): Promise<any>;
    /**
     * send a notify
     *
     * @param {string} method
     * @param {...any[]} params
     * @memberof Client
     */
    notify(method: string, ...params: any[]): void;
    /**
     * batch call
     *
     * @memberof Client
     */
    batch(): {
        invoke: (method: string, ...params: any[]) => any;
        notify: (method: string, ...params: any[]) => any;
        execute: () => Promise<any>;
    };
    as<T>(namespace?: string): T;
}
