import { JsonRpcMixedBody, JsonRpcNotify, JsonRpcRequest, JsonRpcResponse, ParseError } from './types';
export declare class ServerProxy {
    protected exceptionHandle?: (body: any, e: any) => JsonRpcResponse | void;
    protected instance: any;
    constructor(instance: any);
    on(event: 'exception', handle: (body: any, e: any) => JsonRpcResponse | void): void;
    handle(payload: JsonRpcRequest): Promise<JsonRpcResponse>;
    handle(payload: JsonRpcNotify): Promise<undefined>;
    handle(payload: JsonRpcMixedBody[]): Promise<JsonRpcResponse[] | undefined>;
    handle(payload: string): Promise<JsonRpcResponse[] | JsonRpcResponse | undefined>;
    handleBatch(payloads: JsonRpcMixedBody[]): Promise<JsonRpcResponse[] | undefined>;
    protected parseError(e: ParseError): {
        'id': null;
        'jsonrpc': string;
        'error': {
            'code': number;
            'message': string;
        };
    };
    protected makeError(id: null | number | string | undefined, e: any): JsonRpcResponse;
}
/**
 * RpcServer
 *
 * @export
 * @class Server
 * @extends {EventEmitter}
 * @implements {RpcServer}
 */
export declare class Server extends ServerProxy {
    constructor();
    /**
     * 暴露一个方法
     *
     * @param {string} method
     * @param {Function} func
     * @memberof Server
     */
    expose(method: string, func: Function): void;
}
