import { AxiosProxyConfig } from 'axios';
import { Client } from '../client';
import { JsonRpcMixedBody, JsonRpcNotify, JsonRpcRequest, Transport } from '../types';
export declare class HttpTransport implements Transport {
    protected endpoint: string;
    protected headers: any;
    protected proxy: AxiosProxyConfig | undefined;
    constructor(endpoint: string, headers?: any, proxy?: AxiosProxyConfig | undefined);
    invoke(payload: JsonRpcRequest | JsonRpcMixedBody[]): Promise<string>;
    notify(payload: JsonRpcNotify | JsonRpcNotify[]): void;
}
/**
 * create an rpc client over http
 *
 * @export
 * @param {string} endpoint
 * @param {*} [headers={}]
 * @returns
 */
export declare function createHttpRpcClient(endpoint: string, headers?: any, proxy?: AxiosProxyConfig): Client;
