"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RemoteError extends Error {
    constructor(message = 'internal error', code = -32603, data) {
        super(message);
        this.message = message;
        this.code = code;
        this.data = data;
    }
    toJSON() {
        return {
            name: 'JsonRpc:RemoteError',
            code: this.code,
            message: this.message,
            data: this.data
        };
    }
}
exports.RemoteError = RemoteError;
class ParseError extends Error {
    constructor(message = 'parse error', code = -32700) {
        super(message);
        this.message = message;
        this.code = code;
    }
    toJSON() {
        return {
            name: 'JsonRpc:ParseError',
            code: this.code,
            message: this.message,
        };
    }
}
exports.ParseError = ParseError;
class TransportError extends Error {
    constructor(err) {
        super(err.message || err);
        if (err.stack) {
            this.stack = err.stack;
        }
    }
    toJSON() {
        return {
            name: 'JsonRpc:TransportError',
            code: -32600,
            message: this.message,
        };
    }
}
exports.TransportError = TransportError;
//# sourceMappingURL=types.js.map